# rpmqv.c File Reference

`#include "system.h"`
`#include <rpm/rpmcli.h>`
`#include <rpm/rpmlib.h>`
`#include <rpm/rpmbuild.h>`
`#include <rpm/rpmlog.h>`
`#include <rpm/rpmfileutil.h>`
`#include <rpm/rpmdb.h>`
`#include <rpm/rpmps.h>`
`#include <rpm/rpmts.h>`
`#include "debug.h"`
Include dependency graph for rpmqv.c:

Go to the source code of this file.

## Defines
#define | _AUTOHELP
#define | MODES_QV (MODE_QUERY | MODE_VERIFY)
#define | MODES_IE (MODE_INSTALL | MODE_ERASE)
#define | MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)
#define | MODES_K (MODE_CHECKSIG | MODE_RESIGN)
#define | MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)
#define | MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)
#define | MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)
#define | MODES_FOR_TEST (MODES_BT | MODES_IE)
#define | MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB | MODES_K)
## Enumerations
enum | modes { MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3) }
## Functions
static void | argerror (const char *desc)
static void | printVersion (FILE *fp)
static void | printBanner (FILE *fp)
static void | printUsage (poptContext con, FILE *fp, int flags)
int | main (int argc, char *argv[])
## Variables
const char * | program_name
static int | quiet
static struct poptOption | optionsTable []

## Define Documentation

#define _AUTOHELP

Definition at line 4 of file rpmqv.c.

#define MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)

Definition at line 50 of file rpmqv.c.

#define MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)

Definition at line 59 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)

Definition at line 65 of file rpmqv.c.

#define MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)

Definition at line 66 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB | MODES_K)

Definition at line 68 of file rpmqv.c.

Referenced by main().

#define MODES_FOR_TEST (MODES_BT | MODES_IE)

Definition at line 67 of file rpmqv.c.

Referenced by main().

#define MODES_IE (MODE_INSTALL | MODE_ERASE)

Definition at line 44 of file rpmqv.c.

Referenced by main().

#define MODES_K (MODE_CHECKSIG | MODE_RESIGN)

Definition at line 54 of file rpmqv.c.

Referenced by main().

#define MODES_QV (MODE_QUERY | MODE_VERIFY)

Definition at line 40 of file rpmqv.c.

Referenced by main().

## Enumeration Type Documentation

enum modes

Enumerator:

  MODE_QUERY |
  MODE_VERIFY |

Definition at line 36 of file rpmqv.c.

## Function Documentation

static void argerror | ( | const char * | desc | ) | `[static]`

Definition at line 131 of file rpmqv.c.

References _, and __progname.

Referenced by main().

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 160 of file rpmqv.c.

References _, __progname, _free, _noTransScripts, _noTransTriggers, argerror(), build(), rpmBuildArguments_s::buildAmount, rpmBuildArguments_s::buildChar, rpmBuildArguments_s::buildMode, rpmBuildArguments_s::buildRootOverride, rpmBuildArguments_s::cookie, freeNames(), rpmInstallArguments_s::incldocs, rpmDatabaseArguments_s::init, INSTALL_ERASE, INSTALL_FRESHEN, INSTALL_HASH, INSTALL_INSTALL, INSTALL_NODEPS, INSTALL_PERCENT, INSTALL_UPGRADE, rpmInstallArguments_s::installInterfaceFlags, MODE_QUERY, MODE_VERIFY, MODES_DB, MODES_FOR_NODEPS, MODES_FOR_ROOT, MODES_FOR_TEST, MODES_IE, MODES_K, MODES_QV, rpmRelocation_s::newPath, rpmInstallArguments_s::noDeps, rpmInstallArguments_s::numRelocations, rpmRelocation_s::oldPath, PACKAGE, rpmQVKArguments_s::passPhrase, rpmBuildArguments_s::passPhrase, rpmInstallArguments_s::prefix, printUsage(), rpmInstallArguments_s::probFilter, rpmQVKArguments_s::qva_flags, rpmQVKArguments_s::qva_mode, rpmQVKArguments_s::qva_queryFormat, rpmQVKArguments_s::qva_source, rpmQVKArguments_s::qva_sourceCount, rpmQVKArguments_s::qva_specQuery, rpmDatabaseArguments_s::rebuild, rpmInstallArguments_s::relocations, rpmBuildArguments_s::rootdir, rpmBTArgs, RPMBUILD_BUILD, RPMBUILD_CHECK, RPMBUILD_CLEAN, RPMBUILD_FILECHECK, RPMBUILD_INSTALL, RPMBUILD_PACKAGEBINARY, RPMBUILD_PACKAGESOURCE, RPMBUILD_PREP, RPMBUILD_RMBUILD, RPMBUILD_RMSOURCE, RPMBUILD_RMSPEC, rpmcliConfigured(), rpmCLIMacroContext, rpmcliPipeOutput, rpmcliQuery(), rpmcliRcfile, rpmcliRootDir, rpmcliSign(), rpmcliVerify(), rpmConfigDir(), rpmDBArgs, rpmErase(), rpmExpandNumeric(), rpmFreeFilesystems(), rpmFreeMacros(), rpmFreeRpmrc(), rpmGenPath(), rpmIArgs, rpmIncreaseVerbosity, rpmInstall(), rpmInstallSource(), rpmIsVerbose, RPMLOG_NOTICE, RPMLOG_WARNING, rpmlogClose(), RPMPROB_FILTER_DISKNODES, RPMPROB_FILTER_DISKSPACE, RPMPROB_FILTER_FORCERELOCATE, RPMPROB_FILTER_IGNOREARCH, RPMPROB_FILTER_IGNOREOS, RPMPROB_FILTER_OLDPACKAGE, RPMPROB_FILTER_REPLACEPKG, RPMQV_ALL, RPMQV_HDLIST, RPMQV_PACKAGE, rpmQVKArgs, rpmReadConfigFiles(), rpmSetVerbosity, RPMSIGN_ADD_SIGNATURE, RPMSIGN_CHK_SIGNATURE, RPMSIGN_DEL_SIGNATURE, RPMSIGN_IMPORT_PUBKEY, RPMSIGN_NEW_SIGNATURE, RPMSIGN_NONE, RPMSIGTAG_DSA, RPMSIGTAG_GPG, RPMSIGTAG_PGP, RPMSIGTAG_RSA, rpmspecQuery(), RPMTRANS_FLAG_ALLFILES, RPMTRANS_FLAG_JUSTDB, RPMTRANS_FLAG_NODOCS, RPMTRANS_FLAG_NOSCRIPTS, RPMTRANS_FLAG_NOTRIGGERS, RPMTRANS_FLAG_TEST, rpmtsCreate(), rpmtsFree(), rpmtsInitDB(), rpmtsRebuildDB(), rpmtsSetRootDir(), rpmtsSetVSFlags(), rpmtsVerifyDB(), rstreq(), setprogname, rpmBuildArguments_s::shortCircuit, rpmBuildArguments_s::sign, rpmQVKArguments_s::sign, rpmBuildArguments_s::targets, rpmInstallArguments_s::transFlags, UNINSTALL_ALLMATCHES, UNINSTALL_NODEPS, URL_IS_UNKNOWN, urlIsURL(), rpmDatabaseArguments_s::verify, VERIFY_ALL, VERIFY_DIGEST, VERIFY_FILEDIGEST, VERIFY_SIGNATURE, xmalloc, xrealloc, and xstrdup.

static void printBanner | ( | FILE * | fp | ) | `[static]`

Definition at line 142 of file rpmqv.c.

References _.

Referenced by printUsage().

static void printUsage | ( | poptContext | con,
|  | FILE * | fp,
|  | int | flags |
| ) |  |  | `[static]`

Definition at line 148 of file rpmqv.c.

References printBanner(), printVersion(), and rpmIsVerbose.

Referenced by main().

static void printVersion | ( | FILE * | fp | ) | `[static]`

Definition at line 137 of file rpmqv.c.

References _, and rpmEVR.

Referenced by printUsage().

## Variable Documentation

struct poptOption optionsTable[]`[static]`

Definition at line 73 of file rpmqv.c.

const char* program_name

Definition at line 2 of file rpmqv.c.

int quiet`[static]`

Definition at line 70 of file rpmqv.c.